<?php

namespace App\Models;

use Illuminate\Support\Facades\Config;

class PropertyWebGroup extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_web_group';
    protected $appends = ['logoUrl'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return mixed
     */

    public function getLogoUrlAttribute()
    {
        $logoUrl = Config::get('app.client_server') . '/assets/img/logo/logo.png';
        if (!is_null($this->logo)) {
            $logoUrl = Config::get('app.url') . '/property-group/' . $this->logo;
        }

        return $logoUrl;
    }

    public function propertyWebLanguage()
    {
        return $this->hasOne('App\Models\Language', 'code', 'default_language')->select("code", "name", "language_key");
    }

    public function propertyGroupMapping()
    {
        return $this->hasMany('App\Models\PropertyGroupMapping', 'property_group_id', 'property_group_id')
            ->select("id", "property_id", "property_group_id", "order_number", "status")
            ->where('status', 1);
    }

}
